%define name	gtk-engines
%define version	0.12
%define release	1mdk
%define thinice 1.0.3

Name:		%{name}
Summary:	Default GTK+ theme engines.
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Libraries
BuildRequires:	gtk+-devel, imlib-devel
Source:		%{name}-%{version}.tar.bz2
Source1:	gtk-themes-extra-4.tar.bz2
Source2:	gtk-themes.pixmap_path.patch.bz2
Source3:	ThinIce.tar.bz2
Url:		ftp://ftp.gnome.org/pub/GNOME/stable/sources/gtk-engines/
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
These are the graphical engines for the various GTK+ toolkit themes.
Included themes are:

  - Notif
  - Redmond95
  - Pixmap
  - Metal (swing-like)
  - Many more

%prep
%setup -q
%setup -q -a 3

%build
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
%configure
make
pushd $RPM_BUILD_DIR/%{name}-%{version}/gtk-thinice-theme-%{thinice}
  %configure
  make
popd

%install
mkdir -p %{buildroot}
%makeinstall 
pushd $RPM_BUILD_DIR/%{name}-%{version}/gtk-thinice-theme-%{thinice}
  %makeinstall
popd

# expand extra themes
cd %{buildroot}%{_datadir}/themes; tar xyvf %{SOURCE1}
bzcat %{SOURCE2} | patch -p0

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%defattr(-,root,root)
%doc COPYING README ChangeLog
%{_libdir}/gtk/themes/engines/*
%{_datadir}/themes/*

%changelog
* Thu Mar 22 2001 DindinX <odin@mandrakesoft.com> 0.12-1mdk
- 0.12 (bugfixes release)

* Mon Mar  5 2001 DindinX <odin@mandrakesoft.com> 0.11-1mdk
- 0.11
- removed merged patch

* Sat Nov 04 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.10-5mdk
- add thinice theme and library (no more complaining about libthinice.so
  module missing!)
- specfile cleanups

* Wed Aug 16 2000 DindinX <odin@mandrakesoft.com> 0.10-4mdk
- Fix URL
- Remove unnecessary patch
- BM
- Macrozification
- Other spec fixes
- fix pixmap_path in the gtkrc files

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.10-3mdk
- automatically added BuildRequires

* Fri Mar 24 2000 DindinX <odin@mandrakesoft.com> 0.10-2mdk
- Group fix, small specs updates

* Sun Feb 06 2000 Axalon Bloodstone <axalon@mandrakesoft.com>
- 0.10

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- SMP check/build
- reinstate constabul Odo (issues are ok, if they are known)
- 0.8

* Fri Sep 24 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 0.7

* Tue May 11 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Wed Apr 14 1999 Michael Fulbright <drmike@redhat.com>
- removed Odo (has issues)

* Fri Apr 9 1999 The Rasterman <raster@redhat.com>
- patched metal theme - fixed handlebox redraw.

* Wed Mar 31 1999 Michael Fulbright <drmike@redhat.com>
- removed some themes that were misbehaving

* Tue Mar 16 1999 Michael Fulbright <drmike@redhat.com>
- removed enlightened themes, seems to be defective

* Thu Mar 11 1999 Michael Fulbright <drmike@redhat.com>
- removed Default theme data, this comes with gtk+ package

* Wed Mar 10 1999 Michael Fulbright <drmike@redhat.com>
- added extra gtk themes

* Thu Mar 04 1999 Michael Fulbright <drmike@redhat.com>
- version 0.5

* Fri Feb 12 1999 Michael Fulbright <drmike@redhat.com>
- version 0.4

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- version 0.3

* Mon Dec 18 1998 Michael Fulbright <drmike@redhat.com>
- version 0.2

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- rebuild because gtk+ version changed

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- in preparation for GNOME freeze

* Fri Nov 20 1998 Michael Fulbright <drmike@redhat.com>
- First try at a spec file

